Main Page | Data Structures | File List | Data Fields | Globals | Related Pages

# vm_iterator Struct Reference

## Detailed Description

Keeps the state of the iterator.

## Data Fields
zend_object_iterator | intern
| The iterator.
long | vm_iterator
| A reference to the PhpMap instance.
zval * | current_object
| The current value.
int | type
| The key type, string or long.

The documentation for this struct was generated from the following file:

- java.c